Bug 27388 - [Chromium] CSS dotted/dashed borders in Chromium/skia are generally hosed
: [Chromium] CSS dotted/dashed borders in Chromium/skia are generally hosed
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering
: 528+ (Nightly build)
: PC Windows XP
: P2 Normal
Assigned To: Stephen White
http://crbug.com/474
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-17 14:21 PDT by Stephen White
Modified: 2009-07-27 17:51 PDT (History)
4 users (show)

See Also:


Attachments
Fix for 1px CSS border issue (5.86 KB, patch)
2009-07-17 14:25 PDT, Stephen White
eric: review+
Details | Formatted Diff | Diff
Revert of previous patch. (5.77 KB, patch)
2009-07-24 08:09 PDT, Stephen White
no flags Details | Formatted Diff | Diff
Re-apply (unrevert) the patch. (5.82 KB, patch)
2009-07-27 07:09 PDT, Stephen White
levin: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stephen White 2009-07-17 14:21:33 PDT
Dotted and dashed 1px borders in Chromium/skia draw weird antialiased grey lines instead of distinct dots.

See: http://crbug.com/474
Comment 1 Stephen White 2009-07-17 14:25:33 PDT
Created attachment 32970 [details]
Fix for 1px CSS border issue
Comment 2 Eric Seidel 2009-07-20 15:13:57 PDT
Comment on attachment 32970 [details]
Fix for 1px CSS border issue

Not much for me to say here.  As long as this passes tests, it looks sane.

Sad that we can't share more of this code.
Comment 3 David Levin 2009-07-21 02:56:14 PDT
Committed as http://trac.webkit.org/changeset/46157
Comment 4 Stephen White 2009-07-24 08:05:56 PDT
This fix may be causing reliability problems in Chromium.  Reverting.
Comment 5 Stephen White 2009-07-24 08:09:23 PDT
Created attachment 33448 [details]
Revert of previous patch.
Comment 6 David Levin 2009-07-24 09:05:32 PDT
Comment on attachment 33448 [details]
Revert of previous patch.

Verified that it is simply a revert and (essentially) rubberstamping.
Comment 7 Darin Fisher (:fishd, Google) 2009-07-24 10:44:41 PDT
Landed as: http://trac.webkit.org/changeset/46363
Comment 8 Stephen White 2009-07-27 06:49:56 PDT
Reopening this bug, since the fix was reverted.
Comment 9 Stephen White 2009-07-27 07:09:50 PDT
Created attachment 33544 [details]
Re-apply (unrevert) the patch.
Comment 10 David Levin 2009-07-27 08:13:53 PDT
Comment on attachment 33448 [details]
Revert of previous patch.

Clearing the r+ since this patch was applied (and the bug has ben re-opened).
Comment 11 David Levin 2009-07-27 08:16:13 PDT
Comment on attachment 33544 [details]
Re-apply (unrevert) the patch.

Really reviewed by Eric really. I verified that this is the same patch that Eric r+ before.
Comment 12 David Levin 2009-07-27 17:51:09 PDT
Committed (again) as http://trac.webkit.org/changeset/46447